Bug 17828 - Incorrect HTML breaks many browsers
Summary: Incorrect HTML breaks many browsers
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: Other (Show other bugs)
(Show other bugs)
Version: current
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Rob Byars
QA Contact: Paul Lindner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-25 16:29 UTC by Alan Cox
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-11 12:14:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2000-09-25 16:29:10 UTC
http://validator.w3.org/check?uri=http%3A%2F%2Fwww.redhat.com%2F

shows the problems. This breaks things like Mozilla

Comment 1 Alan Cox 2001-04-09 22:35:20 UTC
The page still does not validate and has broken tables. A basic check on the
validator.w3.org site shows it is still broken. Its embarrasing being a .com
company with a broken front page, its even more embarrasing discovering our web
staff close bugs arbitarily and haven't fixed it after months.

Very poor.


Comment 2 Tom Lancaster 2001-04-09 23:14:08 UTC
Can you tell me which browser this breaks?
I was wrong to close this bug, thanks for your swift response.
I'm assigning it to rob, in charge of web production.

Comment 3 Alan Cox 2001-04-09 23:33:03 UTC
It breaks old versions of konqueror for one and some versions of links. If you
run the page through validator.w3.org and skip over all the stuff that is non
critical (non standard options, missing dtd etc) you'll see you get errors about
misplaced <TR> tags where the table formatting is wrong.


Comment 4 Maraya Cornell 2001-04-11 00:06:09 UTC
I fixed a few missing/extra </div> tags, and an extra double-quote mark. There 
were some <div> tags inside of <a href> tags, and I fixed those also.  

In order to keep <FORM> tags from creating extra space on the page, they need to 
be squirreled away between table tags.  This is the method that web production 
uses.  If compatability with every single version of konqueror and lynx becomes a 
priority over visual design, then that changes things, but as far as I know, this 
is not the case.

We've tested the page on Netscape 6 for the Linux, Windows, and Mac, and nothing 
appears to be broken.  I just double-checked it, and I don't see any problems.  
Alan, if you're still seeing a problem on Netscape 6, perhaps you can be more 
specific?  Maybe it's something I'm overlooking after having stared at this web 
site for so long.


Comment 5 Alan Cox 2001-04-11 12:14:53 UTC
Mozilla of the day segfaulted but its doing that on a lot of pages so doesnt
prove a lot. Konqueror seems to render things okayish. I dont have a copy of
opera to hand any more.

I'm not sure I follow your table/form thing. Which browser actually needs that
peculiar hack to do forms without too much padding  ?


Note You need to log in before you can comment on or make changes to this bug.